<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__rpa__list__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_rpa_list_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1a0e68fefd32a2eec5dbb275f8dab7ec00" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_rpa_list_info_t::flags</definition>
        <argsstring />
        <name>flags</name>
        <briefdescription>
<para>Internally used by the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="869" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="869" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1ad0bd5b2cc49abcf4a90fe6807fdc8e37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_rpa_list_info_t::extendedFlags</definition>
        <argsstring />
        <name>extendedFlags</name>
        <briefdescription>
<para>Internally used by the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="872" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="872" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1a7402bd386835f4d3e05910b5fe6636eb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_rpa_list_info_t::bdAddr[CY_BLE_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_BD_ADDR_SIZE]</argsstring>
        <name>bdAddr</name>
        <briefdescription>
<para>Peer ID Address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="875" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="875" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1a650659929b582396271cb59be42c0d8f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_rpa_list_info_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>Peer ID Address type, public = 0, Random = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="878" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="878" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1ad51cc29a164b0086710789b8f9baec89" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_rpa_list_info_t::localIrk[CY_BLE_IRK_SIZE]</definition>
        <argsstring>[CY_BLE_IRK_SIZE]</argsstring>
        <name>localIrk</name>
        <briefdescription>
<para>Local IRK in little endian format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="881" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="881" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rpa__list__info__t_1ad7afd816a0dd1503555794edb3094fa5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_rpa_list_info_t::peerIrk[CY_BLE_IRK_SIZE]</definition>
        <argsstring>[CY_BLE_IRK_SIZE]</argsstring>
        <name>peerIrk</name>
        <briefdescription>
<para>Peer IRK in little endian format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="884" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="884" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Resolving List information param. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="886" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="866" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="867" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1a7402bd386835f4d3e05910b5fe6636eb" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>bdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1ad0bd5b2cc49abcf4a90fe6807fdc8e37" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>extendedFlags</name></member>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1a0e68fefd32a2eec5dbb275f8dab7ec00" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>flags</name></member>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1ad51cc29a164b0086710789b8f9baec89" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>localIrk</name></member>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1ad7afd816a0dd1503555794edb3094fa5" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>peerIrk</name></member>
      <member prot="public" refid="structcy__stc__ble__rpa__list__info__t_1a650659929b582396271cb59be42c0d8f" virt="non-virtual"><scope>cy_stc_ble_rpa_list_info_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>